<template>
    <div class="modal" id="item" :class="{'active': appStore.modalsActivites[props.nameModal]}" @click.self="offModal()">
        <div class="modal__inner smallRight"> 
            <svg @click="offModal()" class="modal__exit js-close-modal" width="14" height="13" viewbox="0 0 14 13" fill="none" xmlns="http://www.w3.org/2000/svg">
                <line x1="1.72716" y1="1" x2="12.6665" y2="11.9393" stroke="black" stroke-width="1.5" stroke-linecap="round"></line>
                <line x1="2" y1="11.9393" x2="12.9393" y2="0.999999" stroke="black" stroke-width="1.5" stroke-linecap="round"></line>
            </svg>
            <slot></slot>
        </div>
    </div>
</template>

<script setup>
    import {UseAppStore} from '@/Stores/AppStore';

    let appStore = UseAppStore(); 

    let props = defineProps({
        nameModal: String
    });

    let offModal = () => appStore.toggleActiveModals(props.nameModal, false);
</script>